Dieser Inhalt ist in der von Ihnen ausgewählten Sprache nicht verfügbar.
REST API Reference
OpenShift Enterprise 3.1 REST API for Developers
Abstract
The OpenShift Enterprise 3.1 distribution of Kubernetes includes the Kubernetes v1 REST API and the OpenShift v1 REST API. These are RESTful APIs accessible via HTTP(s) on the OpenShift Enterprise master servers.
These REST APIs can be used to manage end-user applications, the cluster, and the users of the cluster.
Chapter 1. Overview Link kopierenLink in die Zwischenablage kopiert!
The OpenShift Enterprise distribution of Kubernetes includes the Kubernetes v1 REST API and the OpenShift v1 REST API. These are RESTful APIs accessible via HTTP(s) on the OpenShift Enterprise master servers.
These REST APIs can be used to manage end-user applications, the cluster, and the users of the cluster.
1.1. Authentication Link kopierenLink in die Zwischenablage kopiert!
API calls must be authenticated with an access token or X.509 certificate. See Authentication in the Architecture documentation for an overview.
This section highlights the token authentication method. With token authentication, a bearer token must be passed in as an HTTP Authorization header. There are two types of access tokens: session and service account.
1.1.1. Session Tokens Link kopierenLink in die Zwischenablage kopiert!
A session token is short-lived, expiring within 24 hours by default. It represents a user. After logging in, the session token may be obtained with the oc whoami command:
oc login -u test_user Using project "test". oc whoami -t dIAo76N-W-GXK3S_w_KsC6DmH3MzP79zq7jbMQvCOUo
$ oc login -u test_user
Using project "test".
$ oc whoami -t
dIAo76N-W-GXK3S_w_KsC6DmH3MzP79zq7jbMQvCOUo
1.1.2. Service Account Tokens Link kopierenLink in die Zwischenablage kopiert!
Service account tokens are long-lived tokens. They are JSON Web Token (JWT) formatted tokens and are much longer strings than session tokens. See Using a Service Account’s Credentials Externally for steps on using these tokens to authenticate using the CLI.
A service account token may be obtained with these commands:
Create a service account in the current project (test) named robot:
oc create serviceaccount robot serviceaccount "robot" created
$ oc create serviceaccount robot serviceaccount "robot" createdCopy to Clipboard Copied! Toggle word wrap Toggle overflow Grant a role to the service account. In this example, assign the robot service account in the test project the admin role:
oc policy add-role-to-user admin system:serviceaccounts:test:robot
$ oc policy add-role-to-user admin system:serviceaccounts:test:robotCopy to Clipboard Copied! Toggle word wrap Toggle overflow Describe the service account to discover the secret token name:
Copy to Clipboard Copied! Toggle word wrap Toggle overflow Describe the secret token to get the token value:
Copy to Clipboard Copied! Toggle word wrap Toggle overflow
The token value may be used as an in an authorization header to authenticate API calls, the CLI or in the docker login command. Service accounts may be created and deleted as needed with the appropriate role(s) assigned. See Authorization in the Architecture documentation for a deeper discussion on roles.
1.2. Examples Link kopierenLink in die Zwischenablage kopiert!
These examples are provided as a reference to provide quick success making REST API calls. They use insecure methods. In these examples a simple GET call is made to list available resources.
1.2.1. cURL Link kopierenLink in die Zwischenablage kopiert!
Example 1.1. Request (Insecure)
curl -X GET -H "Authorization: Bearer <token>" https://openshift.redhat.com:8443/oapi/v1 --insecure
$ curl -X GET -H "Authorization: Bearer <token>" https://openshift.redhat.com:8443/oapi/v1 --insecure
Example 1.2. Result (Truncated)
1.2.2. Python Link kopierenLink in die Zwischenablage kopiert!
Example 1.3. Interactive Python API Call Using "requests" Module (Insecure)
1.2.3. Docker Login Link kopierenLink in die Zwischenablage kopiert!
The OpenShift Enterprise integrated Docker registry must be authenticated using either a user session or service account token. The value of the token must be used as the value for the --password argument. The user and email argument values are ignored:
docker login -p <token_value> -u unused -e unused <registry>[:<port>]
$ docker login -p <token_value> -u unused -e unused <registry>[:<port>]
1.3. Websockets and Watching for Changes Link kopierenLink in die Zwischenablage kopiert!
The API is designed to work via the websocket protocol. API requests may take the form of "one-shot" calls to list resources or by passing in query parameter watch=true. When watching an endpoint, changes to the system may be observed through an open endpoint. Using callbacks, dynamic systems may be developed that integrate with the API.
For more information and examples, see the Mozilla Developer Network page on Writing WebSocket client applications.
Chapter 2. OpenShift Enterprise v1 REST API Link kopierenLink in die Zwischenablage kopiert!
2.1. Overview Link kopierenLink in die Zwischenablage kopiert!
The OpenShift Enterprise API exposes operations for managing an enterprise Kubernetes cluster, including security and user management, application deployments, image and source builds, HTTP(s) routing, and project management.
2.1.1. Version information Link kopierenLink in die Zwischenablage kopiert!
Version: v1
2.1.2. URI scheme Link kopierenLink in die Zwischenablage kopiert!
Host: 127.0.0.1:8443 BasePath: / Schemes: HTTPS
2.2. Paths Link kopierenLink in die Zwischenablage kopiert!
2.2.1. get available resources Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1
GET /oapi/v1
2.2.1.1. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| default | success | string |
2.2.1.2. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.1.3. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.1.4. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.2. list or watch objects of kind BuildConfig Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/buildconfigs
GET /oapi/v1/buildconfigs
2.2.2.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.2.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.2.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.2.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.2.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.3. create a BuildConfig Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/buildconfigs
POST /oapi/v1/buildconfigs
2.2.3.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.3.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.3.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.3.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.3.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.4. list or watch objects of kind Build Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/builds
GET /oapi/v1/builds
2.2.4.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.4.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.4.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.4.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.4.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.5. create a Build Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/builds
POST /oapi/v1/builds
2.2.5.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.5.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.5.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.5.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.5.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.6. list or watch objects of kind ClusterNetwork Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/clusternetworks
GET /oapi/v1/clusternetworks
2.2.6.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.6.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.6.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.6.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.6.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.7. create a ClusterNetwork Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/clusternetworks
POST /oapi/v1/clusternetworks
2.2.7.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.7.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.7.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.7.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.7.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.8. read the specified ClusterNetwork Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/clusternetworks/{name}
GET /oapi/v1/clusternetworks/{name}
2.2.8.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the ClusterNetwork | true | string |
2.2.8.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.8.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.8.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.8.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.9. replace the specified ClusterNetwork Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/clusternetworks/{name}
PUT /oapi/v1/clusternetworks/{name}
2.2.9.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterNetwork | true | string |
2.2.9.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.9.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.9.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.9.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.10. delete a ClusterNetwork Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/clusternetworks/{name}
DELETE /oapi/v1/clusternetworks/{name}
2.2.10.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterNetwork | true | string |
2.2.10.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.10.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.10.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.10.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.11. partially update the specified ClusterNetwork Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/clusternetworks/{name}
PATCH /oapi/v1/clusternetworks/{name}
2.2.11.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterNetwork | true | string |
2.2.11.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.11.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.11.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.11.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.12. list or watch objects of kind ClusterPolicy Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/clusterpolicies
GET /oapi/v1/clusterpolicies
2.2.12.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.12.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.12.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.12.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.12.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.13. create a ClusterPolicy Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/clusterpolicies
POST /oapi/v1/clusterpolicies
2.2.13.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.13.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.13.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.13.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.13.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.14. read the specified ClusterPolicy Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/clusterpolicies/{name}
GET /oapi/v1/clusterpolicies/{name}
2.2.14.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the ClusterPolicy | true | string |
2.2.14.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.14.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.14.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.14.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.15. replace the specified ClusterPolicy Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/clusterpolicies/{name}
PUT /oapi/v1/clusterpolicies/{name}
2.2.15.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterPolicy | true | string |
2.2.15.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.15.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.15.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.15.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.16. delete a ClusterPolicy Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/clusterpolicies/{name}
DELETE /oapi/v1/clusterpolicies/{name}
2.2.16.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterPolicy | true | string |
2.2.16.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.16.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.16.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.16.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.17. partially update the specified ClusterPolicy Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/clusterpolicies/{name}
PATCH /oapi/v1/clusterpolicies/{name}
2.2.17.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterPolicy | true | string |
2.2.17.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.17.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.17.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.17.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.18. list or watch objects of kind ClusterPolicyBinding Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/clusterpolicybindings
GET /oapi/v1/clusterpolicybindings
2.2.18.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.18.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.18.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.18.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.18.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.19. create a ClusterPolicyBinding Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/clusterpolicybindings
POST /oapi/v1/clusterpolicybindings
2.2.19.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.19.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.19.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.19.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.19.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.20. read the specified ClusterPolicyBinding Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/clusterpolicybindings/{name}
GET /oapi/v1/clusterpolicybindings/{name}
2.2.20.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the ClusterPolicyBinding | true | string |
2.2.20.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.20.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.20.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.20.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.21. replace the specified ClusterPolicyBinding Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/clusterpolicybindings/{name}
PUT /oapi/v1/clusterpolicybindings/{name}
2.2.21.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterPolicyBinding | true | string |
2.2.21.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.21.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.21.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.21.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.22. delete a ClusterPolicyBinding Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/clusterpolicybindings/{name}
DELETE /oapi/v1/clusterpolicybindings/{name}
2.2.22.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterPolicyBinding | true | string |
2.2.22.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.22.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.22.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.22.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.23. partially update the specified ClusterPolicyBinding Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/clusterpolicybindings/{name}
PATCH /oapi/v1/clusterpolicybindings/{name}
2.2.23.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterPolicyBinding | true | string |
2.2.23.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.23.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.23.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.23.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.24. list objects of kind ClusterRoleBinding Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/clusterrolebindings
GET /oapi/v1/clusterrolebindings
2.2.24.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.24.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.24.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.24.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.24.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.25. create a ClusterRoleBinding Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/clusterrolebindings
POST /oapi/v1/clusterrolebindings
2.2.25.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.25.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.25.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.25.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.25.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.26. read the specified ClusterRoleBinding Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/clusterrolebindings/{name}
GET /oapi/v1/clusterrolebindings/{name}
2.2.26.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the ClusterRoleBinding | true | string |
2.2.26.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.26.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.26.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.26.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.27. replace the specified ClusterRoleBinding Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/clusterrolebindings/{name}
PUT /oapi/v1/clusterrolebindings/{name}
2.2.27.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterRoleBinding | true | string |
2.2.27.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.27.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.27.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.27.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.28. delete a ClusterRoleBinding Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/clusterrolebindings/{name}
DELETE /oapi/v1/clusterrolebindings/{name}
2.2.28.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterRoleBinding | true | string |
2.2.28.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.28.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.28.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.28.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.29. partially update the specified ClusterRoleBinding Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/clusterrolebindings/{name}
PATCH /oapi/v1/clusterrolebindings/{name}
2.2.29.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterRoleBinding | true | string |
2.2.29.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.29.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.29.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.29.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.30. list objects of kind ClusterRole Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/clusterroles
GET /oapi/v1/clusterroles
2.2.30.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.30.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.30.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.30.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.30.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.31. create a ClusterRole Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/clusterroles
POST /oapi/v1/clusterroles
2.2.31.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.31.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.31.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.31.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.31.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.32. read the specified ClusterRole Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/clusterroles/{name}
GET /oapi/v1/clusterroles/{name}
2.2.32.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the ClusterRole | true | string |
2.2.32.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.32.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.32.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.32.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.33. replace the specified ClusterRole Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/clusterroles/{name}
PUT /oapi/v1/clusterroles/{name}
2.2.33.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterRole | true | string |
2.2.33.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.33.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.33.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.33.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.34. delete a ClusterRole Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/clusterroles/{name}
DELETE /oapi/v1/clusterroles/{name}
2.2.34.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterRole | true | string |
2.2.34.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.34.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.34.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.34.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.35. partially update the specified ClusterRole Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/clusterroles/{name}
PATCH /oapi/v1/clusterroles/{name}
2.2.35.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterRole | true | string |
2.2.35.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.35.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.35.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.35.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.36. create a DeploymentConfigRollback Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/deploymentconfigrollbacks
POST /oapi/v1/deploymentconfigrollbacks
2.2.36.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.36.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.36.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.36.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.36.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.37. list or watch objects of kind DeploymentConfig Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/deploymentconfigs
GET /oapi/v1/deploymentconfigs
2.2.37.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.37.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.37.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.37.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.37.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.38. create a DeploymentConfig Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/deploymentconfigs
POST /oapi/v1/deploymentconfigs
2.2.38.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.38.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.38.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.38.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.38.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.39. list or watch objects of kind Group Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/groups
GET /oapi/v1/groups
2.2.39.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.39.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.39.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.39.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.39.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.40. create a Group Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/groups
POST /oapi/v1/groups
2.2.40.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.40.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.40.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.40.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.40.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.41. read the specified Group Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/groups/{name}
GET /oapi/v1/groups/{name}
2.2.41.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the Group | true | string |
2.2.41.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.41.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.41.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.41.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.42. replace the specified Group Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/groups/{name}
PUT /oapi/v1/groups/{name}
2.2.42.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Group | true | string |
2.2.42.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.42.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.42.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.42.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.43. delete a Group Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/groups/{name}
DELETE /oapi/v1/groups/{name}
2.2.43.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Group | true | string |
2.2.43.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.43.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.43.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.43.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.44. partially update the specified Group Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/groups/{name}
PATCH /oapi/v1/groups/{name}
2.2.44.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Group | true | string |
2.2.44.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.44.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.44.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.44.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.45. list or watch objects of kind HostSubnet Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/hostsubnets
GET /oapi/v1/hostsubnets
2.2.45.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.45.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.45.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.45.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.45.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.46. create a HostSubnet Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/hostsubnets
POST /oapi/v1/hostsubnets
2.2.46.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.46.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.46.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.46.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.46.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.47. read the specified HostSubnet Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/hostsubnets/{name}
GET /oapi/v1/hostsubnets/{name}
2.2.47.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the HostSubnet | true | string |
2.2.47.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.47.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.47.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.47.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.48. replace the specified HostSubnet Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/hostsubnets/{name}
PUT /oapi/v1/hostsubnets/{name}
2.2.48.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the HostSubnet | true | string |
2.2.48.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.48.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.48.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.48.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.49. delete a HostSubnet Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/hostsubnets/{name}
DELETE /oapi/v1/hostsubnets/{name}
2.2.49.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the HostSubnet | true | string |
2.2.49.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.49.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.49.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.49.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.50. partially update the specified HostSubnet Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/hostsubnets/{name}
PATCH /oapi/v1/hostsubnets/{name}
2.2.50.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the HostSubnet | true | string |
2.2.50.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.50.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.50.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.50.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.51. list or watch objects of kind Identity Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/identities
GET /oapi/v1/identities
2.2.51.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.51.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.51.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.51.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.51.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.52. create a Identity Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/identities
POST /oapi/v1/identities
2.2.52.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.52.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.52.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.52.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.52.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.53. read the specified Identity Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/identities/{name}
GET /oapi/v1/identities/{name}
2.2.53.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the Identity | true | string |
2.2.53.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.53.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.53.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.53.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.54. replace the specified Identity Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/identities/{name}
PUT /oapi/v1/identities/{name}
2.2.54.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Identity | true | string |
2.2.54.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.54.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.54.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.54.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.55. delete a Identity Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/identities/{name}
DELETE /oapi/v1/identities/{name}
2.2.55.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Identity | true | string |
2.2.55.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.55.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.55.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.55.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.56. partially update the specified Identity Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/identities/{name}
PATCH /oapi/v1/identities/{name}
2.2.56.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Identity | true | string |
2.2.56.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.56.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.56.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.56.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.57. list or watch objects of kind Image Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/images
GET /oapi/v1/images
2.2.57.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.57.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.57.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.57.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.57.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.58. create a Image Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/images
POST /oapi/v1/images
2.2.58.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.58.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.58.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.58.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.58.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.59. read the specified Image Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/images/{name}
GET /oapi/v1/images/{name}
2.2.59.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the Image | true | string |
2.2.59.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.59.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.59.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.59.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.60. replace the specified Image Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/images/{name}
PUT /oapi/v1/images/{name}
2.2.60.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Image | true | string |
2.2.60.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.60.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.60.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.60.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.61. delete a Image Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/images/{name}
DELETE /oapi/v1/images/{name}
2.2.61.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Image | true | string |
2.2.61.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.61.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.61.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.61.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.62. partially update the specified Image Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/images/{name}
PATCH /oapi/v1/images/{name}
2.2.62.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Image | true | string |
2.2.62.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.62.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.62.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.62.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.63. create a ImageStreamMapping Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/imagestreammappings
POST /oapi/v1/imagestreammappings
2.2.63.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.63.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.63.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.63.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.63.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.64. list or watch objects of kind ImageStream Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/imagestreams
GET /oapi/v1/imagestreams
2.2.64.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.64.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.64.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.64.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.64.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.65. create a ImageStream Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/imagestreams
POST /oapi/v1/imagestreams
2.2.65.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.65.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.65.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.65.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.65.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.66. list objects of kind ImageStreamTag Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/imagestreamtags
GET /oapi/v1/imagestreamtags
2.2.66.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string |
2.2.66.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.66.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.66.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.66.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.67. create a LocalResourceAccessReview Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/localresourceaccessreviews
POST /oapi/v1/localresourceaccessreviews
2.2.67.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.67.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.67.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.67.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.67.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.68. create a LocalSubjectAccessReview Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/localsubjectaccessreviews
POST /oapi/v1/localsubjectaccessreviews
2.2.68.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.68.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.68.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.68.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.68.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.69. list or watch objects of kind BuildConfig Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/namespaces/{namespace}/buildconfigs
GET /oapi/v1/namespaces/{namespace}/buildconfigs
2.2.69.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
2.2.69.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.69.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.69.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.69.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.70. create a BuildConfig Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/namespaces/{namespace}/buildconfigs
POST /oapi/v1/namespaces/{namespace}/buildconfigs
2.2.70.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
2.2.70.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.70.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.70.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.70.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.71. read the specified BuildConfig Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
GET /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
2.2.71.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the BuildConfig | true | string |
2.2.71.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.71.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.71.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.71.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.72. replace the specified BuildConfig Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
PUT /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
2.2.72.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the BuildConfig | true | string |
2.2.72.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.72.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.72.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.72.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.73. delete a BuildConfig Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
DELETE /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
2.2.73.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the BuildConfig | true | string |
2.2.73.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.73.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.73.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.73.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.74. partially update the specified BuildConfig Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
PATCH /oapi/v1/namespaces/{namespace}/buildconfigs/{name}
2.2.74.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the BuildConfig | true | string |
2.2.74.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.74.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.74.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.74.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.75. create instantiate of a BuildRequest Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/instantiate
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/instantiate
2.2.75.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the BuildRequest | true | string |
2.2.75.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.75.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.75.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.75.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.76. connect POST requests to instantiatebinary of BinaryBuildRequestOptions Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/instantiatebinary
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/instantiatebinary
2.2.76.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | asFile | false | string | ||
| QueryParameter | revision.commit | false | string | ||
| QueryParameter | revision.message | false | string | ||
| QueryParameter | revision.authorName | false | string | ||
| QueryParameter | revision.authorEmail | false | string | ||
| QueryParameter | revision.committerName | false | string | ||
| QueryParameter | revision.committerEmail | false | string | ||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the BinaryBuildRequestOptions | true | string |
2.2.76.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| default | success | string |
2.2.76.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.76.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.76.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.77. connect POST requests to webhooks of Status Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/webhooks
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/webhooks
2.2.77.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | path | Path is the URL path to use for the current proxy request to pod. | false | string | |
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the Status | true | string |
2.2.77.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| default | success | string |
2.2.77.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.77.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.77.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.78. connect POST requests to webhooks of Status Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/webhooks/{path:*}
POST /oapi/v1/namespaces/{namespace}/buildconfigs/{name}/webhooks/{path:*}
2.2.78.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | path | Path is the URL path to use for the current proxy request to pod. | false | string | |
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the Status | true | string | |
| PathParameter | path | path to the resource | true | string |
2.2.78.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| default | success | string |
2.2.78.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.78.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.78.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.79. list or watch objects of kind Build Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/namespaces/{namespace}/builds
GET /oapi/v1/namespaces/{namespace}/builds
2.2.79.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
2.2.79.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.79.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.79.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.79.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.80. create a Build Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/namespaces/{namespace}/builds
POST /oapi/v1/namespaces/{namespace}/builds
2.2.80.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
2.2.80.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.80.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.80.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.80.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.81. read the specified Build Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/namespaces/{namespace}/builds/{name}
GET /oapi/v1/namespaces/{namespace}/builds/{name}
2.2.81.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the Build | true | string |
2.2.81.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.81.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.81.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.81.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.82. replace the specified Build Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/namespaces/{namespace}/builds/{name}
PUT /oapi/v1/namespaces/{namespace}/builds/{name}
2.2.82.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the Build | true | string |
2.2.82.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.82.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.82.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.82.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.83. delete a Build Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/namespaces/{namespace}/builds/{name}
DELETE /oapi/v1/namespaces/{namespace}/builds/{name}
2.2.83.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the Build | true | string |
2.2.83.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.83.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.83.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.83.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.84. partially update the specified Build Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/namespaces/{namespace}/builds/{name}
PATCH /oapi/v1/namespaces/{namespace}/builds/{name}
2.2.84.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the Build | true | string |
2.2.84.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.84.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.84.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.84.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.85. create clone of a BuildRequest Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/namespaces/{namespace}/builds/{name}/clone
POST /oapi/v1/namespaces/{namespace}/builds/{name}/clone
2.2.85.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the BuildRequest | true | string |
2.2.85.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.85.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.85.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.85.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.86. read log of the specified BuildLog Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/namespaces/{namespace}/builds/{name}/log
GET /oapi/v1/namespaces/{namespace}/builds/{name}/log
2.2.86.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | container | false | string | ||
| QueryParameter | follow | false | boolean | ||
| QueryParameter | previous | false | boolean | ||
| QueryParameter | sinceSeconds | false | ref | ||
| QueryParameter | sinceTime | false | string | ||
| QueryParameter | timestamps | false | boolean | ||
| QueryParameter | tailLines | false | ref | ||
| QueryParameter | limitBytes | false | ref | ||
| QueryParameter | nowait | false | boolean | ||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the BuildLog | true | string |
2.2.86.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.86.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.86.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.86.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.87. create a DeploymentConfigRollback Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/namespaces/{namespace}/deploymentconfigrollbacks
POST /oapi/v1/namespaces/{namespace}/deploymentconfigrollbacks
2.2.87.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
2.2.87.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.87.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.87.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.87.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.88. list or watch objects of kind DeploymentConfig Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/namespaces/{namespace}/deploymentconfigs
GET /oapi/v1/namespaces/{namespace}/deploymentconfigs
2.2.88.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
2.2.88.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.88.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.88.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.88.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.89. create a DeploymentConfig Link kopierenLink in die Zwischenablage kopiert!
POST /oapi/v1/namespaces/{namespace}/deploymentconfigs
POST /oapi/v1/namespaces/{namespace}/deploymentconfigs
2.2.89.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
2.2.89.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.89.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.89.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.89.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.90. read the specified DeploymentConfig Link kopierenLink in die Zwischenablage kopiert!
GET /oapi/v1/namespaces/{namespace}/deploymentconfigs/{name}
GET /oapi/v1/namespaces/{namespace}/deploymentconfigs/{name}
2.2.90.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the DeploymentConfig | true | string |
2.2.90.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.90.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.90.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.90.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.91. replace the specified DeploymentConfig Link kopierenLink in die Zwischenablage kopiert!
PUT /oapi/v1/namespaces/{namespace}/deploymentconfigs/{name}
PUT /oapi/v1/namespaces/{namespace}/deploymentconfigs/{name}
2.2.91.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the DeploymentConfig | true | string |
2.2.91.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.91.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.91.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.91.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.92. delete a DeploymentConfig Link kopierenLink in die Zwischenablage kopiert!
DELETE /oapi/v1/namespaces/{namespace}/deploymentconfigs/{name}
DELETE /oapi/v1/namespaces/{namespace}/deploymentconfigs/{name}
2.2.92.1. Parameters Link kopierenLink in die Zwischenablage kopiert!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string | |
| PathParameter | name | name of the DeploymentConfig | true | string |
2.2.92.2. Responses Link kopierenLink in die Zwischenablage kopiert!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.92.3. Consumes Link kopierenLink in die Zwischenablage kopiert!
- /
2.2.92.4. Produces Link kopierenLink in die Zwischenablage kopiert!
- application/json
2.2.92.5. Tags Link kopierenLink in die Zwischenablage kopiert!
- oapiv1
2.2.93. partially update the specified DeploymentConfig Link kopierenLink in die Zwischenablage kopiert!
PATCH /oapi/v1/namespaces/{namespace}/deploymentconfigs/{name}
[...]
